Skip to main content
`Ctrl`+`K`

# PCGetInterpolations

Gets interpolation matrices for all levels (except level 0)

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetInterpolations(PC pc, PetscInt *num_levels, Mat *interpolations[])

Logically Collective

## Input Parameter

- pc - the precondition context

## Output Parameters

- num_levels - the number of levels

- interpolations - the interpolation matrices (size of `num_levels`-1)

## Developer Note

Why is this here instead of in `PCMG` etc?

## See Also

KSP: Linear System Solvers, `PC`, `PCMG`, `PCMGGetRestriction()`, `PCMGSetInterpolation()`, `PCMGGetInterpolation()`, `PCGetCoarseOperators()`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

## Implementations

PCGetInterpolations_BoomerAMG() in src/ksp/pc/impls/hypre/hypre.c
PCGetInterpolations_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages